
package de.ivu.elect.presentation.ergebnis.exchange;

import javax.inject.Inject;

import de.ivu.elect.business.exchange.entity.DateiImportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.exchange.ImportOptions;
import de.ivu.elect.presentation.exchange.ImportDescription;

/**
 * Konfiguration für den Import von Sitzen
 */
public class SitzeImportDescription implements ImportDescription {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient ErgebnisPageMenuErmittler ergebnisPageMenuErmittler;

  @Override
  public String getImportSearchViewId() {
    return SitzeImportSearchView.VIEW_ID;
  }

  @Override
  public String getImportFormatFestlegenViewId() {
    return SitzeImportFormatFestlegenView.VIEW_ID;
  }

  @Override
  public String getImportBestaetigenViewId() {
    return SitzeImportBestaetigenView.VIEW_ID;
  }

  @Override
  public DateiImportArt getDateiImportArt() {
    return DateiImportArt.SITZE_IMPORT;
  }

  @Override
  public boolean isConfirmationForImportNeeded() {
    return false;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.SITZE_IMPORTIEREN;
  }

  @Override
  public boolean isSpecificPerWahlOrWahltermin() {
    return true;
  }

  @Override
  public String getPageMenuComponentName() {
    return ergebnisPageMenuErmittler.getErgebnisPageMenu();
  }

  @Override
  public ImportOptions getDefaultImportOptions() {
    return ImportOptions.IMPORT_VOLLSTAENDIG_UEBERNEHMEN;
  }
}
